Process
İşlem (process) sorgulama için kullanılan endpoint'ler.
İşlem özeti getir
Belirtilen kullanıcının belirli tarih aralığındaki işlem özetini getirir.
Authentication
x-auth(tenant-id)
HTTP Request
GET /process/get-process-summary
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
userId | string | true | - | Kullanıcı id'si |
startDate | string | true | - | Başlangıç tarihi (YYYY-MM-DD formatı) |
endDate | string | true | - | Bitiş tarihi (YYYY-MM-DD formatı) |
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
processid | string | false | İşlem id'si |
userid | number | false | Kullanıcı id'si |
name | string | false | Kullanıcı adı (maskelenmiş) |
surname | string | false | Kullanıcı soyadı (maskelenmiş) |
type | number | false | Kullanıcı tipi |
title | string | true | Unvan (kurumsal için) |
taxnumber | string | true | Vergi numarası |
fullname | string | false | Tam ad (maskelenmiş) |
userlevel | string | false | Kullanıcı seviyesi |
pair | string | false | İşlem çifti/kripto kodu |
processtype | string | false | İşlem tipi (Yatırma, Çekme, vb.) |
ordertype | string | true | Emir tipi |
price | number | false | Birim fiyat |
quantity | number | false | Miktar |
processamount | number | false | İşlem tutarı |
processamounttry | number | false | İşlem tutarı (TRY) |
processamountusdt | number | false | İşlem tutarı (USDT) |
feerate | number | false | Komisyon oranı |
totalfeerate | number | false | Toplam komisyon oranı |
feeamountpurchase | number | false | Alış komisyon tutarı |
feeamountcoin | number | false | Coin komisyon tutarı |
feeamountsales | number | false | Satış komisyon tutarı |
totalfeeamount | number | false | Toplam komisyon tutarı |
totalfeeamountusdt | number | false | Toplam komisyon tutarı (USDT) |
processdate | string | false | İşlem tarihi (ISO 8601) |
updateddate | string | false | Güncellenme tarihi (ISO 8601) |
queuedate | string | true | Kuyruk tarihi |
identitiynumber | string | false | TC Kimlik numarası (maskelenmiş) |
phonenumber | string | false | Telefon numarası (maskelenmiş) |
email | string | false | E-posta (maskelenmiş) |
address | string | true | Adres |
city | string | false | Şehir |
county | string | false | İlçe |
isinternaluser | string | false | Dahili kullanıcı mı (Yes, No) |
binanceorderid | string | true | Binance emir id'si |
orderid | string | true | Emir id'si |
transactionId | number | false | İşlem id'si |
txId | string | false | Blockchain işlem id'si |
networkCode | string | false | Network kodu |
transactionStatus | string | false | İşlem durumu |
fromAddress | string | false | Gönderen adres (maskelenmiş) |
fromAddressTag | string | true | Gönderen adres etiketi |
toAddress | string | false | Alıcı adres (maskelenmiş) |
toAddressTag | string | true | Alıcı adres etiketi |
isMicroBalanceConversion | boolean | false | Mikro bakiye dönüşümü mü |
internalTransaction | boolean | false | Dahili işlem mi |
iban | string | true | IBAN |
baseAsset | string | false | Baz varlık |
quoteAsset | string | true | Karşıt varlık |
bankUniqueCode | string | true | Banka benzersiz kodu |
totalCouponAmount | number | true | Toplam kupon tutarı |
description | string | true | Açıklama |
explorerUrl | string | true | Blockchain explorer URL'i |
Response Body Example
[
{
"processid": "5639428",
"userid": 1716,
"name": "M***** S***",
"surname": "Z*****",
"type": 1,
"title": null,
"taxnumber": null,
"fullname": "M***** S*** Z*****",
"userlevel": "Vip-6",
"pair": "SOL",
"processtype": "Yatırma",
"ordertype": null,
"price": 5793.3888,
"quantity": 0.1,
"processamount": 579.33888,
"processamounttry": 579.33888,
"processamountusdt": 13.47,
"feerate": 0,
"totalfeerate": 0,
"feeamountpurchase": 0,
"feeamountcoin": 0,
"feeamountsales": 0,
"totalfeeamount": 0,
"totalfeeamountusdt": 0,
"processdate": "2026-01-06T17:19:17.917Z",
"updateddate": "2026-01-06T17:19:19.582Z",
"queuedate": null,
"identitiynumber": "193*****418",
"phonenumber": "542*****063",
"email": "m*****@hotmail.com",
"address": null,
"city": "İstanbul-Anadolu",
"county": "Üsküdar",
"isinternaluser": "Yes",
"binanceorderid": null,
"orderid": null,
"transactionId": 44350,
"txId": "Internal transfer1000421",
"networkCode": "SOL",
"transactionStatus": "Tamamlandı",
"fromAddress": "ApCF...fFUy",
"fromAddressTag": "",
"toAddress": "DF5q...K4uW",
"toAddressTag": "",
"isMicroBalanceConversion": false,
"internalTransaction": true,
"iban": null,
"baseAsset": "SOL",
"quoteAsset": null,
"bankUniqueCode": null,
"totalCouponAmount": null,
"description": null,
"explorerUrl": null
}
]